# Uses of Class
nu.xom.NodeFactory

Packages that use NodeFactory
Package
Description
nu.xom
`nu.xom` is the core package of XOM that contains all the basic classes representing the different kinds of nodes: elements, attributes, comments, text nodes, and so forth.
nu.xom.converters
`nu.xom.converters` contains classes that convert XOM documents to other models such as SAX and DOM.
nu.xom.xslt
`nu.xom.xslt` connects XOM documents to TrAX-based XSLT processors.

## Uses of NodeFactory in nu.xom

Methods in nu.xom that return NodeFactory
Modifier and Type
Method
Description
`NodeFactory`
Builder.`getNodeFactory()`
Returns this builder's `NodeFactory`.
Constructors in nu.xom with parameters of type NodeFactory
Modifier
Constructor
Description
``
`Builder(boolean validate, NodeFactory factory)`
Creates a `Builder` based on an optionally validating parser that builds node objects with the supplied factory.
``
`Builder(NodeFactory factory)`
Creates a `Builder` that uses the specified `NodeFactory` to create node objects.
``
`Builder(XMLReader parser, boolean validate, NodeFactory factory)`
Creates an optionally validating `Builder` that reads data from the specified parser object and constructs new nodes using the specified factory object.

## Uses of NodeFactory in nu.xom.converters

Methods in nu.xom.converters with parameters of type NodeFactory
Modifier and Type
Method
Description
`static Nodes`
DOMConverter.`convert(DocumentFragment fragment, NodeFactory factory)`
Translates a DOM `org.w3c.dom.DocumentFragment` object into an equivalent `nu.xom.Nodes` object, converting each DOM node as specified by a factory.
`static Document`
DOMConverter.`convert(Document domDocument, NodeFactory factory)`
Translates a DOM `org.w3c.dom.Document` object into an equivalent `nu.xom.Document` object as controlled by a factory.

## Uses of NodeFactory in nu.xom.xslt

Constructors in nu.xom.xslt with parameters of type NodeFactory
Modifier
Constructor
Description
``
`XSLTransform(Document stylesheet, NodeFactory factory)`
Creates a new `XSLTransform` by reading the stylesheet from the supplied document.